<script>
    import { Link } from '@inertiajs/inertia-vue3';

    export default {
        name: 'TaskTableRowDetails',
        props: ['date', 'from', 'details', 'isHidden'],
        components: {
            Link
        }
    }
</script>

<template>
    <tr className="bg-white border-b hover:bg-gray-200">
        <td scope="row" className="py-4 px-6 font-medium text-gray-900 whitespace-nowrap">
            {{ date }}
        </td>
        <td scope="row" className="py-4 px-6 font-medium text-gray-900 whitespace-nowrap">
            {{ from }}
        </td>
        <!-- <td className="py-4 px-6">
            {{ to }}
        </td> -->
        <td className="py-4 px-6">
            {{ details }}
        </td>
        <slot />
    </tr>
</template>
